<template lang="pug">
  .gpm-tabs
    .gpm-tabs__content(ref="content")
      .gpm-tabs__wrapper
        .gpm-tabs__wrapper-line(:style="wrapperStyle")
      template(v-for="(tab, idx) in tabs")
        .gpm-tabs__tab(
          :class="{ 'gpm-tabs__tab--active': idx === activeIndex }"
          @click="onClickHandler(idx)"
        ) {{ tab }}
</template>

<script lang="ts" src="./script.ts"></script>
<style lang="scss" src="./style.scss"></style>
